RMDEL(1)

NAME
rmdel - remove a delta from an SCCS file

SYNOPSIS
rmdel -rsid s.filename...

DESCRIPTION

The rmdel utility removes the delta specified by the SCCS delta ID (SID) supplied with -r. The delta to be removed must be the most recent (leaf) delta in its branch. In addition, the SID must not be that of a version checked out for editing: it must not appear in any entry of the version lock file (p.file).

If you created the delta, or, if you own the file and directory and have write permission, you can remove it with rmdel.

If a directory name is used in place of the s.filename argument, the rmdel command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

-rsid
    Remove the version corresponding to the indicated SID (delta).

FILES

p.file
    permissions file
s.file
    history file
z.file
    temporary copy of the s.file

SEE ALSO
delta(1), get(1), help(1), prs(1), sccsfile(5)

DIAGNOSTICS
Use the SCCS help command for explanations (see help(1)).